import { l as rOnLoad } from './helpers-BNj87EbG.js';

class BalFloatingUiInternal {
    constructor() {
        this.load = async () => {
            return new Promise((resolve, reject) => {
                if (this.lib) {
                    return resolve(this.lib);
                }
                else {
                    rOnLoad(async () => {
                        import(/* @vite-ignore */ './floating-ui.dom-Cr2H7Jt3.js')
                            .then(module => {
                            this.lib = module;
                            resolve(this.lib);
                        })
                            .catch(reject);
                    });
                }
            });
        };
    }
}
const balFloatingUi = new BalFloatingUiInternal();

export { balFloatingUi as b };
